import { Service } from '@overflow/commons/api/service';
import NoAuthProbe from '../model/NoAuthProbe';
import Action from '@overflow/commons/redux/Action';
import * as AcceptActions from '../../redux/action/accept';

export class NoAuthProbeService extends Service {
    public constructor() {
        super();
    }

    public regist(params: any): void {
        const noAuthProbe: NoAuthProbe = JSON.parse(params);
        this.dispatch(AcceptActions.REQUEST, noAuthProbe);
    }

}

export default NoAuthProbeService;
